P4_STR_FRAME(3)

NAME
p4_str_frame - $FRAME ( u -- )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_str_frame(---);

DESCRIPTION

Push the description of a string stack frame starting at the top of the string stack and containing u entries onto the string frame stack. Errors are thrown if the frame stack would overflow or if the depth of the string stack above the top frame, if there is one, is less than u. The value u = 0 is allowed. "string-frame"

NOTE: This implementation pushes u and the string stack pointer onto the frame stack.

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams